<mat-drawer-container autosize>
  <mat-drawer mode="side" #drawer opened [ngClass]="{ 'expandMenu': expandMenu }">
      <div class="company-nav-list" >
          <h3><mat-icon (click)="expandMenu = !expandMenu;"> menu </mat-icon></h3>
          <h3 *ngFor="let nav of navList; let index = index" [ngClass]="{ 'selected': nav.isSelected }" (click)="changeNavigation(nav, index)">
              <mat-icon> {{ nav.icon }}</mat-icon>
              <span *ngIf="expandMenu">{{ nav.heading }}</span>
          </h3>
      </div>
  </mat-drawer>
  <mat-drawer-content>
      <router-outlet name="right"></router-outlet>
  </mat-drawer-content>
</mat-drawer-container>